
	!dp = $0000
	!addr = $0000
	!sa1 = 0
	!gsu = 0

if read1($00FFD6) == $15
	sfxrom
	!dp = $6000
	!addr = !dp
	!gsu = 1
elseif read1($00FFD5) == $23
	sa1rom
	!dp = $3000
	!addr = $6000
	!sa1 = 1
endif

org $00CDF6				; \ Use this ROM address
autoclean JSL code			; | Clean the code from original routine and run "code"

freecode				; > Find free space

code:
	LDA $1407|!addr		; \ Load if player is flying
	CMP #$00			; | Check if equal to $00 (nothing)
	BNE return			; / If not jump to "return", if yes continue
	LDA $13ED|!addr		; \ Load if player is flying
	CMP #$00			; | Check if equal to $00
	BNE return			; / If not jump to "return", if yes proceed
	LDA $18				; \ Load input
	AND #$20			; | Check if it's L
	BNE change			; / If not proceed, if yes jump to "change"
	LDA $18				; \ Load input
	AND #$10			; | Check if it's R
	BNE change			; / If not proceed, if yes jump to "change"
	RTL					; > End code

change:
	LDA $19				; \ Load $19 (powerup)
	CMP #$02			; | Check if it's $02 (cape)
	BEQ changepowerup		; | If not proceed, if yes jump to "changepowerup"
	LDA #$02			; | Load $02 (cape)
	STA $19				; / Insert on $19 (powerup)
	RTL				; > End
changepowerup:
	LDA #$03			; \ Load $03 (flower)
	STA $19				; / Insert on $19 (powerup)
	RTL					; > End code

return:
	RTL					; > End code
print "Press L or R to change the player's current powerup."